import { defineComponent, ref, onMounted } from 'vue'

import { CMyPage } from '@src/components/CMyPage'
import { CTitleBanner } from '@src/components/CTitleBanner'
import { COperators } from '@src/components/COperators'
import { fieldsTable } from '@store/Modules/fieldsTable'

import MixinOperator from '../../mixins/mixin-operator'

export default defineComponent({
  name: 'PageOperators',
  components: { CMyPage, CTitleBanner, COperators },
  setup() {

    const { getOperatorsInHome } = MixinOperator()

    return {
      fieldsTable,
      getOperatorsInHome,
    }
  }
})
